summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2010-05-23 02:28:10 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-23 23:21:45 -0500
commitac717f05a5613be94ee6376de95e7f4db37f4339 (patch)
tree1b46fe9b6b08ec57552c924b967317335f6d001e /multimedia
parentc0f75b5ea1a366caf96ae5adea925c3df8d09d47 (diff)
downloadslackbuilds-ac717f05a5613be94ee6376de95e7f4db37f4339.tar.gz
slackbuilds-ac717f05a5613be94ee6376de95e7f4db37f4339.tar.xz
multimedia/flash-player-plugin: Miscellaneous cleanups
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/flash-player-plugin/flash-player-plugin.SlackBuild15
1 files changed, 12 insertions, 3 deletions
diff --git a/multimedia/flash-player-plugin/flash-player-plugin.SlackBuild b/multimedia/flash-player-plugin/flash-player-plugin.SlackBuild
index 35fb7f34d1..c8f78999f3 100644
--- a/multimedia/flash-player-plugin/flash-player-plugin.SlackBuild
+++ b/multimedia/flash-player-plugin/flash-player-plugin.SlackBuild
@@ -6,12 +6,19 @@
PRGNAM=flash-player-plugin
VERSION=10.0_r45
-ARCH=${ARCH:-i386}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
SRC_VERSION=10.0.45.2
+# Automatically determine the architecture we're building on:
+case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+esac
+
# If you use or intend to use Opera at some point, and you want
# this plugin available to it, then pass "yes" as the value to this
# variable: USE_OPERA=yes ./flash-player-plugin.SlackBuild
@@ -34,10 +41,12 @@ cd $TMP
if [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
tar xvf $CWD/libflashplayer-${SRC_VERSION}.linux-x86_64.so.tar.gz
-else
- ARCH=i386
+elif [ "$ARCH" = "i386" ]; then
LIBDIRSUFFIX=""
tar xvf $CWD/install_flash_player_10_linux.tar.gz
+else
+ printf "\n\n$ARCH is unsupported...\n"
+ exit 1
fi
# Check to make sure we're packaging the same version that this script